System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.DataException

To delete a , use the method of a class. As soon as you have deleted a row, any attempts to modify it will generate the .

The is thrown when you use one of the following properties or methods that try to get or set the value of a deleted :

property

property

method

Use the of a class to determine whether a row has been deleted. If it has been deleted, you can use the method to retrieve it because deleted rows have no values available for the state.

Represents the exception that is thrown when an action is tried on a that has been deleted.

- Constructor

  Use the of a class to determine whether a row has been deleted.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor

  Use the of a class to determine whether a row has been deleted.

  Initializes a new instance of the class with the specified string.

  The string to display when the exception is thrown.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with serialization information.

  The data that is required to serialize or deserialize an object.
  Description of the source and destination of the specified serialized stream.
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.

  Use the of a class to determine whether a row has been deleted.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.